import { Observable } from 'rxjs';
import { AxiosRequestConfig } from 'axios';
export declare class Axios {
    constructor();
    get(url: any, config?: any): Observable<void>;
    post(url: any, data: any, config?: any): Observable<void>;
}
export declare class Api {
    static API: Api;
    host: string;
    http: Axios;
    constructor(host: string, http: any);
    get(endpoint: string, config?: AxiosRequestConfig): Observable<void>;
    post(endpoint: string, data: any, config?: AxiosRequestConfig): Observable<void>;
}
export declare class Base {
    auth: any;
    url: string;
    commands: any;
    undefinedFunctions: string[];
    constructor(auth: any, url?: string);
    private parseParams;
    private getFunctionString;
    call(method: any, args?: any): Observable<any>;
}
