"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NewCmd = void 0;
const cmd_1 = require("./cmd");
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
class NewCmd extends cmd_1.Cmd {
    constructor() {
        super(...arguments);
        this.options = [
            ['-v, --verbose', 'Verbose'],
            ['-p, --production', 'Production Mode'],
        ];
        this.commands = {
            generate: () => {
                this.bchain.undefinedFunctions.forEach(x => console.log('\t' + x));
            },
            info: async () => {
                this.exitOnComplete = false;
                this.bchain.getInfo().pipe((0, operators_1.catchError)(e => {
                    (0, cmd_1.log)(e);
                    // Tg.send('BSV update error, restarting: '+e);
                    // this.checkForUpdates();
                    return (0, rxjs_1.timer)(20000);
                    // setTimeout(() => this.checkForUpdates(), 2000);
                })).subscribe((e) => (0, cmd_1.log)('event', e), (err) => console.error(err), () => (0, cmd_1.log)('complete'));
            },
        };
        // async init() {
        // }
    }
}
exports.NewCmd = NewCmd;
new NewCmd().run();
